#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-LFgRYfhGxFP35iEXZFaJ1Y
key:                  hoogle-5.0.18.4-LFgRYfhGxFP35iEXZFaJ1Y
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  9d562a37ff1a8fd2675ee16c22dadbca
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-LFgRYfhGxFP35iEXZFaJ1Y
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-4wvbFRujmHZDViSkarbjgg
    aeson-2.1.2.1-CpoRxHFZvRPAv3Ckw5zuNY base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-4iDOKjvaVggJSSjIGydfCj
    blaze-markup-0.8.3.0-3EMjrPE8D9J2rdQlodmm6e bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6.1-2CdrkI1QYzk7RhZFOoAq8k
    conduit-extra-1.3.6-CYIpiD9rsAf4b61nmAf7FW containers-0.6.5.1
    crypton-connection-0.3.2-D8hJSbjU8YHGhWdGXiYc8D deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-AvylOLxaRO91BiAzefXpLG
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    haskell-src-exts-1.23.1-58yceRuJS4tEYrqF3IOOaR
    http-conduit-2.3.9.1-F5noZjvxt9AarlIofSeN4
    http-types-0.12.4-KZRZvfGAtnYCXaDYnKGiMw
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-Dd09I0lC3TuLaNeGMTBbTy
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-7lzV1HJrFoJWgjv2jbbdh
    resourcet-1.2.6-7HPNhduZCs8GLPLW3Ibm1h
    safe-0.3.21-VGbElYdwOF9miikj0afcd
    storable-tuple-0.1-nOohOVkic2HvpkbuQe5iZ
    tar-0.5.1.1-Ow51IwZwQnBFVZmggBIUy template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-7ZdgbPU15usAo3HqTBCYY4
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    vector-0.13.1.0-LgUMl9iMMxZ36i6grq2qn1
    wai-3.2.4-30cuxBD55wW4bkFk2wGAXr
    wai-logger-2.5.0-HqZ20vLv6cQ9QrcKupod1P
    warp-3.3.30-9CZ72VwPjJeIgpBEBlhWjA
    warp-tls-3.4.9-HaWFs43A12I2nHeo0Tlujb
    zlib-0.6.3.0-BIIXwAxngRwHo5hUTg4cSY

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

